<?php
/**
* Register with hook 'wp_enqueue_scripts', which can be used for front end CSS and JavaScript
*/
add_action( 'wp_enqueue_scripts', 'addstyles' );

/**
* Enqueue plugin style-file
*/
function addstyles() {
    // Respects SSL, Style.css is relative to the current file
    wp_register_style( 'wpanswers-style', plugins_url('style.css', __FILE__) );
    wp_enqueue_style( 'wpanswers-style' );
}