<?php

global $wpdb, $table_prefix, $up_options;
?>


<?php 

if(!empty($_GET['campaign'])) {
    echo '<a href="?page=themefurnace#/yahoo-autoposting-campaigns">Return to campaign management</a><br/>';
    
    if($_GET['campaign'] != 'new') {
        $id = (int)$_GET['campaign'];
        $campaign_info = $wpdb->get_results("select * from ".$table_prefix."autoposting_campaigns where id='".$id."'");
        if(empty($campaign_info)) {
            echo '<br/>Campaign not found<br/>';
            $campaign = new stdClass();
        }
        else {
            echo '<input type="hidden" name="autoposting_campaign_update" value="1">';
            $campaign = $campaign_info[0];
        }
    }
    else {
        $campaign = new stdClass();
    }

?>

<li class="type-text" id="container-autoposting_campaign_name">
                    <fieldset class="title">
                        <div class="inner">
                            <label for="autoposting_campaign_name">Campaign name</label>
                            <kbd>Set autoposting campaign name</kbd>                        </div>
                    </fieldset>
                    
                    <fieldset class="data">
                        <div class="inner">
                            <input type="text" name="autoposting_campaign_name" value="<?php echo $campaign->campaign_name;?>" id="autoposting_campaign_name"  />
                        </div>
                    </fieldset>
                    <div class="clear"></div>
                </li>
                

                <li class="type-text" id="container-autoposting_search_term">
                    <fieldset class="title">
                        <div class="inner">
                            <label for="autoposting_search_term">Search Term</label>
                            <kbd>Set search term</kbd>                        </div>
                    </fieldset>
                    
                    <fieldset class="data">
                        <div class="inner">
                            <input type="text" name="autoposting_search_term" value="<?php echo $campaign->search_term;?>" id="autoposting_search_term"  />
                        </div>
                    </fieldset>
                    <div class="clear"></div>
                </li>
                

                <li class="type-select" id="container-autoposting_site">
                    <fieldset class="title">
                        <div class="inner">
                            <label for="autoposting_site">Select site</label>
                            <kbd>Select which Yahoo! site to use</kbd>                        </div>
                    </fieldset>
                    <?php
                    $site = array(
                        'uk' => 'UK',
                        'us' => 'US',
                        'ca' => 'Canada',
                        'au' => 'Australia',
                        'in' => 'India',
                        'es' => 'Spain',
                        'ar' => 'Argentina',
                        'e1' => 'En Espanol',
                        'it' => 'Italy',
                        'de' => 'Germany',
                        'fr' => 'France',
                        'sg' => 'Singapore',
                    );
                    ?>
                    <fieldset class="data">
                        <div class="inner">
                            <select name="autoposting_site" id="autoposting_site" >
                                <?php foreach ($site as $id=>$name) {
                                    $selected = '';
                                    if($campaign->site == $id) {
                                        $selected = ' selected="selected"';
                                    }
                                	echo '<option value="'.$id.'" '.$selected.'>'.$name.'</option>';
                                }
                                ?>
						    </select>
                        </div>
                    </fieldset>
                    <div class="clear"></div>
                </li>
                

                <li class="type-text" id="container-autoposting_interval_days">
                    <fieldset class="title">
                        <div class="inner">
                            <label for="autoposting_interval_days">Interval (days)</label>
                            <kbd>Set how often the campaign runs (in days). You can combine both days and hours.</kbd>                        </div>
                    </fieldset>
                    
                    <fieldset class="data">
                        <div class="inner">
                            <input type="text" name="autoposting_interval_days" value="<?php echo $campaign->interval_days;?>" id="autoposting_interval_days"  />
                        </div>
                    </fieldset>
                    <div class="clear"></div>
                </li>
                

                <li class="type-text" id="container-autoposting_interval_hours">
                    <fieldset class="title">
                        <div class="inner">
                            <label for="autoposting_interval_hours">Interval (hours)</label>
                            <kbd>Set how often the campaign runs (in hours). You can combine both days and hours.</kbd>                        </div>
                    </fieldset>
                    
                    <fieldset class="data">
                        <div class="inner">
                            <input type="text" name="autoposting_interval_hours" value="<?php echo $campaign->interval_hours;?>" id="autoposting_interval_hours"  />
                        </div>
                    </fieldset>
                    <div class="clear"></div>
                </li>
                

                <li class="type-select" id="container-autoposting_category">
                    <fieldset class="title">
                        <div class="inner">
                            <label for="autoposting_category">Category</label>
                            <kbd>Select post category</kbd>                        </div>
                    </fieldset>
                    
                    <fieldset class="data">
                        <div class="inner">
                            <select name="autoposting_category" id="autoposting_category" >
                            <?php
                            $categories = get_terms('question_category', array('hide_empty' => false));
                            $cats = array();
        
                            echo '<option value="">None</option>';
                            
                            foreach ($categories as $category) {
                                $selected = '';
                                if($campaign->category_id == $category->term_id) {
                                    $selected = ' selected="selected"';
                                }
                                echo '<option value="'.$category->term_id.'"'.$selected.'>'.$category->name.'</option>';
                            }
                            ?>
							</select>
                        </div>
                    </fieldset>
                    <div class="clear"></div>
                </li>
                

                <li class="type-select" id="container-autoposting_post_status">
                    <fieldset class="title">
                        <div class="inner">
                            <label for="autoposting_post_status">Post status</label>
                            <kbd>Select post status</kbd>                        </div>
                    </fieldset>
                    
                    <fieldset class="data">
                        <div class="inner">
                            <select name="autoposting_post_status" id="autoposting_post_status" >
                            <?php 
                            $statuses = array(
                                '1' => 'Publish',
                                '2' => 'Pending',
                                '3' => 'Draft'
                            );
                            foreach ($statuses as $id => $status) {
                                $selected = '';
                                if($campaign->post_status == $id) {
                                    $selected = ' selected="selected"';
                                }
                                echo '<option value="'.$id.'"'.$selected.'>'.$status.'</option>';
                            }
                            ?>
							</select>
                        </div>
                    </fieldset>
                    <div class="clear"></div>
                </li>
                

                <li class="type-select" id="container-autoposting_campaign_enabled">
                    <fieldset class="title">
                        <div class="inner">
                            <label for="autoposting_campaign_enabled">Enabled</label>
                            <kbd>Enable campaign?</kbd>                        </div>
                    </fieldset>
                    
                    <fieldset class="data">
                        <div class="inner">
                            <select name="autoposting_campaign_enabled" id="autoposting_campaign_enabled" >
                            <?php 
                            $enabled = array("1" => "Yes", "0" => "No");
                            foreach ($enabled as $id => $value) {
                                $selected = '';
                                if(!empty($campaign->enabled) && $campaign->enabled == $id) {
                                    $selected = ' selected="selected"';
                                }
                            	echo '<option value="'.$id.'"'.$selected.'>'.$value.'</option>';
                            }
                            ?>
                            </select>
                        </div>
                    </fieldset>
                    <div class="clear"></div>
                </li>
                
							</ul>
<?php }

else {
    // handle disable/delete buttons
    if(!empty($_POST['manage_campaign'])) {
        foreach ($_POST['manage_campaign'] as $id) {
            if(!empty($_POST['disable_selected'])) {
                $wpdb->query("update " .$table_name. " set enabled=0 where id='".(int)$id."'");
            }
            elseif(!empty($_POST['delete_selected'])) {
                $wpdb->query("delete from " .$table_name. "  where id='".(int)$id."'");
            }
        }
    }
    echo '<a href="?page=themefurnace&campaign=new#/yahoo-autoposting-campaigns">Create new campaign</a><br/>';
    $campaigns = $wpdb->get_results("select * from ".$table_prefix."autoposting_campaigns");
    
    if(!empty($campaigns)) {
    echo '<h3>Campaigns</h3>';
    echo '<table id="campaigns" class="postnow">';
    echo '<tr><td>&nbsp;</td><td>Name</td><td>Search term</td><td>Posting interval</td><td>Enabled</td></tr>';
    foreach ($campaigns as $campaign) {
        echo '<tr>';
        echo '<td><input type="checkbox" name="manage_campaign[]" value="'.$campaign->id.'"></td>';
        echo '<td><a href="?page=themefurnace&campaign='.$campaign->id.'#/yahoo-autoposting-campaigns">'.$campaign->campaign_name.'</a></td><td>'.$campaign->search_term.'</td><td>';
        if(!empty($campaign->interval_days)) {
            echo $campaign->interval_days.' days ';
        }
        if(!empty($campaign->interval_hours)) {
            echo $campaign->interval_hours.' hours';
        }
        echo '</td>';
        echo '<td>'.($campaign->enabled == '1' ? 'Yes' : 'No').'</td>';
        echo '</tr>';
    }
    echo '<tr><td colspan="5"><input type="submit" name="delete_selected" value="Delete selected"> <input type="submit" name="disable_selected" value="Disable selected"></td></tr>';
    echo '</table>';
    }
    
}