<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" >
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" xmlns:fb="http://www.facebook.com/2008/fbml" <?php language_attributes(); ?> >

<head>
<meta http-equiv="content-type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

<title><?php wp_title(' | ', true, 'right'); ?><?php bloginfo('name'); ?></title>
<link rel="stylesheet" type="text/css" href="<?php bloginfo('stylesheet_url'); ?>" />
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
<?php custom_theme_css(); ?>
<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<div id="container">
<div id="header">


<p><a href="<?php echo home_url(); ?>"><?php custom_logo();?></a></p>


<div id="navbar">
<div id="main-nav">
<?php wp_nav_menu( array( 'container_class' => 'menu-header', 'theme_location' => 'primary' ) ); ?>
<?php wp_enqueue_script('selectbox', get_template_directory_uri().'/js/selectbox.js'); // get_template_directory_uri() ?>
</div>
</div>

</div><!-- End header -->

<div id="askbar">
<p>
<form action="<?php echo get_bloginfo('url').'/submit'; ?>" method="get"  class="ask">
<input name="q" type="text" class="askinput" value="Ask a Question" onblur="if (this.value == '')  {this.value = 'Ask a Question';}"  onfocus="if (this.value == 'Ask a Question') {this.value = '';}"/>
<input type="submit" value="Ask" class="topbutton topblue" />
</form>
</p>

<p>
<form action="<?php echo get_bloginfo('url'); ?>" method="get"  class="searchf">
<input name="s" type="text" class="searchinput" value="Search" onblur="if (this.value == '')  {this.value = 'Search';}"  onfocus="if (this.value == 'Search') {this.value = '';}"/>
<input type="submit" value="Search" class="topbutton topblue"/>
</form>
</p>
</div><!-- End Askbar-->
