<?php
/*
Template Name: Submit
Displays the form for "ask a question"
*/
?>
<?php get_header(); ?>
<div id="content">

<h1 class="questiontitle"><?php the_title(); ?></h1>
<form action="" method="POST">
<p>
<label class="formlabel"><?php _e('Question Title','wp-answers') ?></label><br />
<input name="post_title" type="text" class="input" value="<?php echo $_GET['q']; ?>" />
</p>

<p>
<label class="formlabel"><?php _e('Question Details','wp-answers') ?></label><br />
<textarea name="content"  value="" type="text" class="questionarea" /><?php echo $_SESSION['post_content'];?></textarea>
</p>

<p><label for="tags-input" class="formlabel">Enter some keywords about your question, separate with commas:</label><br />
<input id="tags_input" class="input" name="tags" type="text"  tabindex="4" />
</p>
	
	<label for="post_category" class="formlabel">Choose a Category:</label><br />
	<?php $categories = get_terms('question_category', array('hide_empty' => false));  ?>
		<select name='question_category' id='post_category' class='postform' >
	    <?php
	       foreach ($categories as $category) {
	           echo '<option value="'.$category->term_id.'">'.$category->name.'</option>';
	       }
	    ?>
        </select>
<?php
global $up_options;
if($up_options->recaptcha_new_question == 'true') {
    global $error, $publickey;
    echo '<div id="recaptcha">'.recaptcha_get_html($up_options->recaptcha_public_key, $_SESSION['recaptcha_error']).'</div>';
    if(isset($_SESSION['recaptcha_error'])) {
        unset($_SESSION['recaptcha_error']);
    }
    echo '<input type="hidden" name="post_recaptcha" value="1">';
}
?>

<p>
<input type="hidden" name="ask_a_question" value="1">
<input type="hidden" name="redirect_to" value="<?php echo $_SERVER['REQUEST_URI'];?>">
<input type="hidden" name="up" value="<?php echo $up_options->points_per_question; ?>">    
<input type="submit" name="Submit" value="Submit &raquo;" class="loginbutton white" />
</p>
</form>
</div><!-- End Content-->

<?php get_sidebar('question'); ?>
<?php get_footer(); ?>